Bug 207263 - x11-fonts/fontconfig: add --system-only flag to fc-cache in files/pkg-install.in
Summary: x11-fonts/fontconfig: add --system-only flag to fc-cache in files/pkg-install.in
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-16 23:52 UTC by Tatsuki Makino
Modified: 2016-07-31 18:46 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch (413 bytes, patch)
2016-02-16 23:52 UTC, Tatsuki Makino
no flags Details | Diff
example of poor operation (15.50 KB, text/plain)
2016-03-02 01:26 UTC, Tatsuki Makino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tatsuki Makino 2016-02-16 23:52:42 UTC
Created attachment 167100 [details]
patch

fc-cache builds fontconfig cache of per-user fonts like following.

[src-default-job-01] |   |   |   `-- Installing fontconfig-2.11.1_1,1...
[src-default-job-01] |   |   |   | `-- Installing expat-2.1.0_3...
[src-default-job-01] |   |   |   | `-- Extracting expat-2.1.0_3: .......... done
[src-default-job-01] |   |   |   | `-- Installing freetype2-2.6.2...
[src-default-job-01] |   |   |   | `-- Extracting freetype2-2.6.2: .......... done
[src-default-job-01] |   |   |   `-- Extracting fontconfig-2.11.1_1,1: .......... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: skipping, no such directory
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
Comment 1 Tatsuki Makino 2016-03-02 01:26:54 UTC
Created attachment 167619 [details]
example of poor operation

If a user who joined wheel group uses "su -m", caches of his fonts are made to /var/db/fontconfig.
Comment 2 commit-hook freebsd_committer 2016-07-25 21:10:48 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 25 21:10:12 UTC 2016
New revision: 419065
URL: https://svnweb.freebsd.org/changeset/ports/419065

Log:
  x11-fonts/fontconfig: don't touch user font cache on install

  This matches USES=fonts (@fc, @fcfontsdir) behavior.

  PR:		207263
  Submitted by:	Tatsuki Makino <tatsuki_makino@hotmail.com>
  Approved by:	maintainer timeout (5 months)
  MFH:		2016Q3

Changes:
  head/x11-fonts/fontconfig/Makefile
  head/x11-fonts/fontconfig/files/pkg-install.in
Comment 3 commit-hook freebsd_committer 2016-07-25 21:10:52 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 25 21:10:26 UTC 2016
New revision: 419066
URL: https://svnweb.freebsd.org/changeset/ports/419066

Log:
  chinese/ttfm: don't touch user font cache on install

  This matches USES=fonts (@fc, @fcfontsdir) behavior.

  PR:		207263
  MFH:		2016Q3

Changes:
  head/chinese/CJKUnifonts/Makefile
  head/chinese/CNS11643-font/Makefile
  head/chinese/arphicttf/Makefile
  head/chinese/fireflyttf/Makefile
  head/chinese/moettf/Makefile
  head/chinese/opendesktop-fonts/Makefile
  head/chinese/ttfm/Makefile.ttf
  head/vietnamese/urwvn/Makefile
  head/vietnamese/vietunicode-hannom/Makefile
  head/vietnamese/vietunicode-trichlor/Makefile
  head/vietnamese/vietunicode-web1/Makefile
Comment 4 Jan Beich freebsd_committer 2016-07-25 21:15:10 UTC
Thanks. Landed.
Comment 5 commit-hook freebsd_committer 2016-07-31 18:46:14 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jul 31 18:45:57 UTC 2016
New revision: 419402
URL: https://svnweb.freebsd.org/changeset/ports/419402

Log:
  MFH: r419065

  x11-fonts/fontconfig: don't touch user font cache on install

  This matches USES=fonts (@fc, @fcfontsdir) behavior.

  PR:		207263
  Submitted by:	Tatsuki Makino <tatsuki_makino@hotmail.com>
  Approved by:	maintainer timeout (5 months)
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/x11-fonts/fontconfig/Makefile
  branches/2016Q3/x11-fonts/fontconfig/files/pkg-install.in